Skip to main content
GET
/
transactions
/
{transactionId}
Get a transaction
curl --request GET \
  --url https://api.useproxy.ai/v1/transactions/{transactionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "amount": 123,
  "customerId": "<string>",
  "cardId": "<string>",
  "agentId": "<string>",
  "type": "<string>",
  "status": "<string>",
  "currency": "<string>",
  "merchant": {
    "name": "<string>",
    "mcc": "<string>",
    "city": "<string>",
    "country": "<string>",
    "category": "<string>"
  },
  "memo": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Path Parameters

transactionId
string
required

Transaction ID (e.g., txn_...)

Response

Transaction details

id
string
required
amount
number
required

Transaction amount in cents

customerId
string | null
cardId
string | null
agentId
string | null
type
string

Transaction type (e.g., spend, refund)

status
string

Transaction status

currency
string
merchant
object
memo
string | null
createdAt
string<date-time> | null
updatedAt
string<date-time> | null